
<div class="col-md-12">
<div style="margin-top:40%;" >	
   
        <div class="login-box box-cadastro"  style=" background:#fff">

            <form action="" method="post"  id="form2"><br>
                <input type="text" name="usu_nome" id="usu_nome" placeholder="Nome" />
                <input type="text" name="usu_login" id="usu_login" placeholder="Login" />
                <input type="password" name="usu_senha" id="usu_senha" placeholder="Senha" />
                               
                 <label>Defina permissões ao Moderador</label>
                               
                               <span><input type="checkbox" class="checkboxClass" value="1">Pontos</span>&nbsp;&nbsp;
                                 <span><input type="checkbox" class="checkboxClass" value="2">Prémios</span>
                                  <span><input type="checkbox" class="checkboxClass" value="4">Resgate</span><br>
<span><input class="checkboxClass" type="checkbox" value="3">Clientes</span>&nbsp;&nbsp;<span><input class="checkboxClass" type="checkbox" value="5">Parametrização</span>
                                <br>
                                <span><input class="checkboxClass" type="checkbox" value="6">Chamados</span>&nbsp;&nbsp;<span><input class="checkboxClass" type="checkbox" value="7">Moderadores</span><br>
                         
                           <input type="hidden" name="permissao-select" id="permissao-select" value="" />
                                
<br>

                <input type="hidden" name="cadastro-db-moderador" />
                <button
                    type="button"
                    style="width: 100%; height: 50px"
                    onclick="LoginCadastroModerador.cadastro()">Cadastrar</button>
            </form>
 
        </div>
	
     </div>
</div>
  
  
    
    <script type="text/javascript">
 

$(".checkboxClass").click(function(){
  var selectedCountry = new Array();
  $(".checkboxClass:checked").each(function(){
    selectedCountry.push($(this).val());
  });
  $("#permissao-select").val(selectedCountry.join(','));
});	
		
LoginCadastroModerador = {
	
	cadastro : function(){
	
usu_nome  = jQuery('#usu_nome').val();
usu_login = jQuery('#usu_login').val();
usu_senha = jQuery('#usu_senha').val();
		
		if(usu_nome == ''){
			
			alert('Nome Obrigatório!');
			
		}else if(usu_login == ''){
			
			alert('Login Obrigatório!');
			
	    }else if(usu_senha == ''){
			
			alert('Senha Obrigatório!');
					
		}else{
			

		$.ajax({
            type:   'POST',
             url:    BASE_URL,
             data:   $('#form2').serialize(),
             success: function(d){

                if (d == 'Cadadstro realizado com sucesso!') {
					alert(d);
                    location.href = BASE_URL + 'admin-dashboard';
                } else {
					alert(d);
				}

            }
        });
		

			
		}
		
	}

}

</script>
  
